Project

General

Profile

Téléchargement & Installation

Configuration requise

Zenerator est une application web PHP5, vous aurez donc besoin d'un serveur web (Apache par exemple) et de PHP (version PHP 5.2.4 minimum) pour l'utiliser. Selon la base de données que vous utilisez, vous aurez également besoin de l'extension PHP correspondante. Par exemple, pour connecter Zenerator à une base de données MySQL, vous aurez besoin de l'extension PDO MySQL.

Zenerator fonctionne sur n'importe quelle plateforme supportant PHP.

Téléchargement

Pour télécharger la dernière version de Zenerator, rendez-vous sur la page suivante : http://projets.developpez.com/projects/list_files/zenerator

Pour chaque versions, 4 fichiers sont disponibles : deux au format ZIP, deux au format TAR. Hormis le format de l'archive, il n'y a aucune différence.
Ensuite vous avez le choix entre deux package : avec ou sans le Zend Framework inclus.

Si vous programmez régulièrement avec le Zend Framework, il est sans doute préférable de télécharger le Zend Framework séparément, et de l'ajouter à l'include-path de votre configuration PHP. Si c'est le cas, vous n'aurez pas besoin de télécharger le package Zenerator + Zend Framework.

Si par contre vous n'avez pas le Zend Framework déployé sur votre système et présent dans l'include-path, il est préférable de télécharger l'ensemble, vous êtes également sûr d'avoir une version du Zend Framework qui est compatible avec Zenerator.

Installation

Il suffit de décompresser l'archive dans un dossier accessible par votre serveur web. Idéalement, à la racine de celui-ci, dans un dossier Zenerator. Par exemple, si votre dossier racine est /var/www, décompressez l'archive dans /var/www/Zenerator.